Index: trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj	(revision 793)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj	(revision 794)
@@ -60,9 +60,9 @@
     </Compile>
     <Compile Include="HiveServerConsoleApplication.cs" />
-    <Compile Include="HiveServerConsoleInformation.cs">
+    <Compile Include="HiveServerManagementConsole.cs">
       <SubType>Form</SubType>
     </Compile>
-    <Compile Include="HiveServerConsoleInformation.Designer.cs">
-      <DependentUpon>HiveServerConsoleInformation.cs</DependentUpon>
+    <Compile Include="HiveServerManagementConsole.Designer.cs">
+      <DependentUpon>HiveServerManagementConsole.cs</DependentUpon>
     </Compile>
     <Compile Include="HiveServerConsolePlugin.cs" />
@@ -74,6 +74,6 @@
       <DependentUpon>HiveServerConsole.cs</DependentUpon>
     </EmbeddedResource>
-    <EmbeddedResource Include="HiveServerConsoleInformation.resx">
-      <DependentUpon>HiveServerConsoleInformation.cs</DependentUpon>
+    <EmbeddedResource Include="HiveServerManagementConsole.resx">
+      <DependentUpon>HiveServerManagementConsole.cs</DependentUpon>
     </EmbeddedResource>
     <EmbeddedResource Include="Properties\Resources.resx">
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.cs	(revision 793)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsole.cs	(revision 794)
@@ -28,5 +28,4 @@
 using System.Text;
 using System.Windows.Forms;
-using System.Threading;
 
 namespace HeuristicLab.Hive.Server.Console {
@@ -34,5 +33,5 @@
   public partial class HiveServerConsole : Form {
 
-    HiveServerConsoleInformation information = null;
+    HiveServerManagementConsole information = null;
 
     public HiveServerConsole() {
@@ -45,8 +44,14 @@
     }
 
+    /// <summary>
+    /// When login button is clicked, the ManagementConsole
+    /// will be opened
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
     private void btnLogin_Click(object sender, EventArgs e) {
       if (ipIsValid()) {
         this.Visible = false;
-        information = new HiveServerConsoleInformation();
+        information = new HiveServerManagementConsole();
         information.closeFormEvent += new closeForm(enableForm);
         information.Show();
@@ -54,5 +59,7 @@
     }
 
+
     private static bool ipIsValid() {
+      // TODO IP-Adress validation
       return true;
     }
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsoleInformation.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsoleInformation.Designer.cs	(revision 793)
+++ 	(revision )
@@ -1,80 +1,0 @@
-﻿namespace HeuristicLab.Hive.Server.Console {
-  partial class HiveServerConsoleInformation {
-    /// <summary>
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary>
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Windows Form Designer generated code
-
-    /// <summary>
-    /// Required method for Designer support - do not modify
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.menuStrip1 = new System.Windows.Forms.MenuStrip();
-      this.informationToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.closeToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.menuStrip1.SuspendLayout();
-      this.SuspendLayout();
-      // 
-      // menuStrip1
-      // 
-      this.menuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
-            this.informationToolStripMenuItem});
-      this.menuStrip1.Location = new System.Drawing.Point(0, 0);
-      this.menuStrip1.Name = "menuStrip1";
-      this.menuStrip1.Size = new System.Drawing.Size(651, 24);
-      this.menuStrip1.TabIndex = 0;
-      this.menuStrip1.Text = "menuStrip1";
-      // 
-      // informationToolStripMenuItem
-      // 
-      this.informationToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
-            this.closeToolStripMenuItem});
-      this.informationToolStripMenuItem.Name = "informationToolStripMenuItem";
-      this.informationToolStripMenuItem.Size = new System.Drawing.Size(75, 20);
-      this.informationToolStripMenuItem.Text = "Information";
-      // 
-      // closeToolStripMenuItem
-      // 
-      this.closeToolStripMenuItem.Name = "closeToolStripMenuItem";
-      this.closeToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
-      this.closeToolStripMenuItem.Text = "Close";
-      this.closeToolStripMenuItem.Click += new System.EventHandler(this.close_Click);
-      // 
-      // HiveServerConsoleInformation
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.ClientSize = new System.Drawing.Size(651, 402);
-      this.Controls.Add(this.menuStrip1);
-      this.MainMenuStrip = this.menuStrip1;
-      this.Name = "HiveServerConsoleInformation";
-      this.Text = "HiveServerConsoleInformation";
-      this.Click += new System.EventHandler(this.close_Click);
-      this.menuStrip1.ResumeLayout(false);
-      this.menuStrip1.PerformLayout();
-      this.ResumeLayout(false);
-      this.PerformLayout();
-
-    }
-
-    #endregion
-
-    private System.Windows.Forms.MenuStrip menuStrip1;
-    private System.Windows.Forms.ToolStripMenuItem informationToolStripMenuItem;
-    private System.Windows.Forms.ToolStripMenuItem closeToolStripMenuItem;
-  }
-}
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsoleInformation.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsoleInformation.cs	(revision 793)
+++ 	(revision )
@@ -1,50 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Linq;
-using System.Text;
-using System.Windows.Forms;
-
-namespace HeuristicLab.Hive.Server.Console {
-
-  public delegate void closeForm(bool cf);
-
-  public partial class HiveServerConsoleInformation : Form {
-
-    public event closeForm closeFormEvent;
-
-    public HiveServerConsoleInformation() {
-      InitializeComponent();
-    }
-
-    private void close_Click(object sender, EventArgs e) {
-      if (closeFormEvent != null) {
-        closeFormEvent(true);
-      }
-      this.Close();
-    }
-  }
-}
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsoleInformation.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerConsoleInformation.resx	(revision 793)
+++ 	(revision )
@@ -1,123 +1,0 @@
-<?xml version="1.0" encoding="utf-8"?>
-<root>
-  <!-- 
-    Microsoft ResX Schema 
-    
-    Version 2.0
-    
-    The primary goals of this format is to allow a simple XML format 
-    that is mostly human readable. The generation and parsing of the 
-    various data types are done through the TypeConverter classes 
-    associated with the data types.
-    
-    Example:
-    
-    ... ado.net/XML headers & schema ...
-    <resheader name="resmimetype">text/microsoft-resx</resheader>
-    <resheader name="version">2.0</resheader>
-    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
-    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
-    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
-    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
-    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
-        <value>[base64 mime encoded serialized .NET Framework object]</value>
-    </data>
-    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
-        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
-        <comment>This is a comment</comment>
-    </data>
-                
-    There are any number of "resheader" rows that contain simple 
-    name/value pairs.
-    
-    Each data row contains a name, and value. The row also contains a 
-    type or mimetype. Type corresponds to a .NET class that support 
-    text/value conversion through the TypeConverter architecture. 
-    Classes that don't support this are serialized and stored with the 
-    mimetype set.
-    
-    The mimetype is used for serialized objects, and tells the 
-    ResXResourceReader how to depersist the object. This is currently not 
-    extensible. For a given mimetype the value must be set accordingly:
-    
-    Note - application/x-microsoft.net.object.binary.base64 is the format 
-    that the ResXResourceWriter will generate, however the reader can 
-    read any of the formats listed below.
-    
-    mimetype: application/x-microsoft.net.object.binary.base64
-    value   : The object must be serialized with 
-            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
-            : and then encoded with base64 encoding.
-    
-    mimetype: application/x-microsoft.net.object.soap.base64
-    value   : The object must be serialized with 
-            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
-            : and then encoded with base64 encoding.
-
-    mimetype: application/x-microsoft.net.object.bytearray.base64
-    value   : The object must be serialized into a byte array 
-            : using a System.ComponentModel.TypeConverter
-            : and then encoded with base64 encoding.
-    -->
-  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
-    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
-    <xsd:element name="root" msdata:IsDataSet="true">
-      <xsd:complexType>
-        <xsd:choice maxOccurs="unbounded">
-          <xsd:element name="metadata">
-            <xsd:complexType>
-              <xsd:sequence>
-                <xsd:element name="value" type="xsd:string" minOccurs="0" />
-              </xsd:sequence>
-              <xsd:attribute name="name" use="required" type="xsd:string" />
-              <xsd:attribute name="type" type="xsd:string" />
-              <xsd:attribute name="mimetype" type="xsd:string" />
-              <xsd:attribute ref="xml:space" />
-            </xsd:complexType>
-          </xsd:element>
-          <xsd:element name="assembly">
-            <xsd:complexType>
-              <xsd:attribute name="alias" type="xsd:string" />
-              <xsd:attribute name="name" type="xsd:string" />
-            </xsd:complexType>
-          </xsd:element>
-          <xsd:element name="data">
-            <xsd:complexType>
-              <xsd:sequence>
-                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
-                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
-              </xsd:sequence>
-              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
-              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
-              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
-              <xsd:attribute ref="xml:space" />
-            </xsd:complexType>
-          </xsd:element>
-          <xsd:element name="resheader">
-            <xsd:complexType>
-              <xsd:sequence>
-                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
-              </xsd:sequence>
-              <xsd:attribute name="name" type="xsd:string" use="required" />
-            </xsd:complexType>
-          </xsd:element>
-        </xsd:choice>
-      </xsd:complexType>
-    </xsd:element>
-  </xsd:schema>
-  <resheader name="resmimetype">
-    <value>text/microsoft-resx</value>
-  </resheader>
-  <resheader name="version">
-    <value>2.0</value>
-  </resheader>
-  <resheader name="reader">
-    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
-  </resheader>
-  <resheader name="writer">
-    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
-  </resheader>
-  <metadata name="menuStrip1.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-    <value>17, 17</value>
-  </metadata>
-</root>
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 794)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 794)
@@ -0,0 +1,303 @@
+﻿namespace HeuristicLab.Hive.Server.Console {
+  partial class HiveServerManagementConsole {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.menuStrip1 = new System.Windows.Forms.MenuStrip();
+      this.informationToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.closeToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.tcManagementConsole = new System.Windows.Forms.TabControl();
+      this.tpClientControl = new System.Windows.Forms.TabPage();
+      this.scClientControl = new System.Windows.Forms.SplitContainer();
+      this.treeView1 = new System.Windows.Forms.TreeView();
+      this.listView1 = new System.Windows.Forms.ListView();
+      this.tpJobControl = new System.Windows.Forms.TabPage();
+      this.scJobControl = new System.Windows.Forms.SplitContainer();
+      this.treeView3 = new System.Windows.Forms.TreeView();
+      this.listView3 = new System.Windows.Forms.ListView();
+      this.tpUserControl = new System.Windows.Forms.TabPage();
+      this.scUserControl = new System.Windows.Forms.SplitContainer();
+      this.treeView4 = new System.Windows.Forms.TreeView();
+      this.listView4 = new System.Windows.Forms.ListView();
+      this.treeView2 = new System.Windows.Forms.TreeView();
+      this.listView2 = new System.Windows.Forms.ListView();
+      this.menuStrip1.SuspendLayout();
+      this.tcManagementConsole.SuspendLayout();
+      this.tpClientControl.SuspendLayout();
+      this.scClientControl.Panel1.SuspendLayout();
+      this.scClientControl.Panel2.SuspendLayout();
+      this.scClientControl.SuspendLayout();
+      this.tpJobControl.SuspendLayout();
+      this.scJobControl.Panel1.SuspendLayout();
+      this.scJobControl.Panel2.SuspendLayout();
+      this.scJobControl.SuspendLayout();
+      this.tpUserControl.SuspendLayout();
+      this.scUserControl.Panel1.SuspendLayout();
+      this.scUserControl.Panel2.SuspendLayout();
+      this.scUserControl.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // menuStrip1
+      // 
+      this.menuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
+            this.informationToolStripMenuItem});
+      this.menuStrip1.Location = new System.Drawing.Point(0, 0);
+      this.menuStrip1.Name = "menuStrip1";
+      this.menuStrip1.Size = new System.Drawing.Size(651, 24);
+      this.menuStrip1.TabIndex = 0;
+      this.menuStrip1.Text = "menuStrip1";
+      // 
+      // informationToolStripMenuItem
+      // 
+      this.informationToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
+            this.closeToolStripMenuItem});
+      this.informationToolStripMenuItem.Name = "informationToolStripMenuItem";
+      this.informationToolStripMenuItem.Size = new System.Drawing.Size(81, 20);
+      this.informationToolStripMenuItem.Text = "Management";
+      // 
+      // closeToolStripMenuItem
+      // 
+      this.closeToolStripMenuItem.Name = "closeToolStripMenuItem";
+      this.closeToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
+      this.closeToolStripMenuItem.Text = "Close";
+      this.closeToolStripMenuItem.Click += new System.EventHandler(this.close_Click);
+      // 
+      // tcManagementConsole
+      // 
+      this.tcManagementConsole.Controls.Add(this.tpClientControl);
+      this.tcManagementConsole.Controls.Add(this.tpJobControl);
+      this.tcManagementConsole.Controls.Add(this.tpUserControl);
+      this.tcManagementConsole.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.tcManagementConsole.Location = new System.Drawing.Point(0, 24);
+      this.tcManagementConsole.Name = "tcManagementConsole";
+      this.tcManagementConsole.SelectedIndex = 0;
+      this.tcManagementConsole.Size = new System.Drawing.Size(651, 378);
+      this.tcManagementConsole.TabIndex = 1;
+      // 
+      // tpClientControl
+      // 
+      this.tpClientControl.AllowDrop = true;
+      this.tpClientControl.Controls.Add(this.scClientControl);
+      this.tpClientControl.Location = new System.Drawing.Point(4, 22);
+      this.tpClientControl.Name = "tpClientControl";
+      this.tpClientControl.Padding = new System.Windows.Forms.Padding(3);
+      this.tpClientControl.Size = new System.Drawing.Size(643, 352);
+      this.tpClientControl.TabIndex = 0;
+      this.tpClientControl.Text = "Client Control";
+      this.tpClientControl.UseVisualStyleBackColor = true;
+      // 
+      // scClientControl
+      // 
+      this.scClientControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.scClientControl.Location = new System.Drawing.Point(3, 3);
+      this.scClientControl.Name = "scClientControl";
+      // 
+      // scClientControl.Panel1
+      // 
+      this.scClientControl.Panel1.Controls.Add(this.treeView1);
+      // 
+      // scClientControl.Panel2
+      // 
+      this.scClientControl.Panel2.Controls.Add(this.listView1);
+      this.scClientControl.Size = new System.Drawing.Size(637, 346);
+      this.scClientControl.SplitterDistance = 139;
+      this.scClientControl.TabIndex = 0;
+      // 
+      // treeView1
+      // 
+      this.treeView1.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.treeView1.Location = new System.Drawing.Point(0, 0);
+      this.treeView1.Name = "treeView1";
+      this.treeView1.Size = new System.Drawing.Size(139, 346);
+      this.treeView1.TabIndex = 0;
+      // 
+      // listView1
+      // 
+      this.listView1.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.listView1.Location = new System.Drawing.Point(0, 0);
+      this.listView1.Name = "listView1";
+      this.listView1.Size = new System.Drawing.Size(494, 346);
+      this.listView1.TabIndex = 0;
+      this.listView1.UseCompatibleStateImageBehavior = false;
+      // 
+      // tpJobControl
+      // 
+      this.tpJobControl.Controls.Add(this.scJobControl);
+      this.tpJobControl.Location = new System.Drawing.Point(4, 22);
+      this.tpJobControl.Name = "tpJobControl";
+      this.tpJobControl.Padding = new System.Windows.Forms.Padding(3);
+      this.tpJobControl.Size = new System.Drawing.Size(643, 352);
+      this.tpJobControl.TabIndex = 1;
+      this.tpJobControl.Text = "Job Control";
+      this.tpJobControl.UseVisualStyleBackColor = true;
+      // 
+      // scJobControl
+      // 
+      this.scJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.scJobControl.Location = new System.Drawing.Point(3, 3);
+      this.scJobControl.Name = "scJobControl";
+      // 
+      // scJobControl.Panel1
+      // 
+      this.scJobControl.Panel1.Controls.Add(this.treeView3);
+      // 
+      // scJobControl.Panel2
+      // 
+      this.scJobControl.Panel2.Controls.Add(this.listView3);
+      this.scJobControl.Size = new System.Drawing.Size(637, 346);
+      this.scJobControl.SplitterDistance = 139;
+      this.scJobControl.TabIndex = 1;
+      // 
+      // treeView3
+      // 
+      this.treeView3.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.treeView3.Location = new System.Drawing.Point(0, 0);
+      this.treeView3.Name = "treeView3";
+      this.treeView3.Size = new System.Drawing.Size(139, 346);
+      this.treeView3.TabIndex = 2;
+      // 
+      // listView3
+      // 
+      this.listView3.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.listView3.Location = new System.Drawing.Point(0, 0);
+      this.listView3.Name = "listView3";
+      this.listView3.Size = new System.Drawing.Size(494, 346);
+      this.listView3.TabIndex = 0;
+      this.listView3.UseCompatibleStateImageBehavior = false;
+      // 
+      // tpUserControl
+      // 
+      this.tpUserControl.Controls.Add(this.scUserControl);
+      this.tpUserControl.Location = new System.Drawing.Point(4, 22);
+      this.tpUserControl.Name = "tpUserControl";
+      this.tpUserControl.Padding = new System.Windows.Forms.Padding(3);
+      this.tpUserControl.Size = new System.Drawing.Size(643, 352);
+      this.tpUserControl.TabIndex = 2;
+      this.tpUserControl.Text = "User Control";
+      this.tpUserControl.UseVisualStyleBackColor = true;
+      // 
+      // scUserControl
+      // 
+      this.scUserControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.scUserControl.Location = new System.Drawing.Point(3, 3);
+      this.scUserControl.Name = "scUserControl";
+      // 
+      // scUserControl.Panel1
+      // 
+      this.scUserControl.Panel1.Controls.Add(this.treeView4);
+      // 
+      // scUserControl.Panel2
+      // 
+      this.scUserControl.Panel2.Controls.Add(this.listView4);
+      this.scUserControl.Size = new System.Drawing.Size(637, 346);
+      this.scUserControl.SplitterDistance = 139;
+      this.scUserControl.TabIndex = 1;
+      // 
+      // treeView4
+      // 
+      this.treeView4.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.treeView4.Location = new System.Drawing.Point(0, 0);
+      this.treeView4.Name = "treeView4";
+      this.treeView4.Size = new System.Drawing.Size(139, 346);
+      this.treeView4.TabIndex = 1;
+      // 
+      // listView4
+      // 
+      this.listView4.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.listView4.Location = new System.Drawing.Point(0, 0);
+      this.listView4.Name = "listView4";
+      this.listView4.Size = new System.Drawing.Size(494, 346);
+      this.listView4.TabIndex = 1;
+      this.listView4.UseCompatibleStateImageBehavior = false;
+      // 
+      // treeView2
+      // 
+      this.treeView2.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.treeView2.LineColor = System.Drawing.Color.Empty;
+      this.treeView2.Location = new System.Drawing.Point(0, 0);
+      this.treeView2.Name = "treeView2";
+      this.treeView2.Size = new System.Drawing.Size(139, 346);
+      this.treeView2.TabIndex = 0;
+      // 
+      // listView2
+      // 
+      this.listView2.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.listView2.Location = new System.Drawing.Point(0, 0);
+      this.listView2.Name = "listView2";
+      this.listView2.Size = new System.Drawing.Size(494, 346);
+      this.listView2.TabIndex = 0;
+      this.listView2.UseCompatibleStateImageBehavior = false;
+      // 
+      // HiveServerManagementConsole
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(651, 402);
+      this.Controls.Add(this.tcManagementConsole);
+      this.Controls.Add(this.menuStrip1);
+      this.MainMenuStrip = this.menuStrip1;
+      this.Name = "HiveServerManagementConsole";
+      this.Text = "Management Console";
+      this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.HiveServerConsoleInformation_FormClosing);
+      this.menuStrip1.ResumeLayout(false);
+      this.menuStrip1.PerformLayout();
+      this.tcManagementConsole.ResumeLayout(false);
+      this.tpClientControl.ResumeLayout(false);
+      this.scClientControl.Panel1.ResumeLayout(false);
+      this.scClientControl.Panel2.ResumeLayout(false);
+      this.scClientControl.ResumeLayout(false);
+      this.tpJobControl.ResumeLayout(false);
+      this.scJobControl.Panel1.ResumeLayout(false);
+      this.scJobControl.Panel2.ResumeLayout(false);
+      this.scJobControl.ResumeLayout(false);
+      this.tpUserControl.ResumeLayout(false);
+      this.scUserControl.Panel1.ResumeLayout(false);
+      this.scUserControl.Panel2.ResumeLayout(false);
+      this.scUserControl.ResumeLayout(false);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.MenuStrip menuStrip1;
+    private System.Windows.Forms.ToolStripMenuItem informationToolStripMenuItem;
+    private System.Windows.Forms.ToolStripMenuItem closeToolStripMenuItem;
+    private System.Windows.Forms.TabControl tcManagementConsole;
+    private System.Windows.Forms.TabPage tpClientControl;
+    private System.Windows.Forms.TabPage tpJobControl;
+    private System.Windows.Forms.SplitContainer scClientControl;
+    private System.Windows.Forms.TabPage tpUserControl;
+    private System.Windows.Forms.TreeView treeView1;
+    private System.Windows.Forms.ListView listView1;
+    private System.Windows.Forms.SplitContainer scJobControl;
+    private System.Windows.Forms.ListView listView3;
+    private System.Windows.Forms.SplitContainer scUserControl;
+    private System.Windows.Forms.TreeView treeView2;
+    private System.Windows.Forms.ListView listView2;
+    private System.Windows.Forms.TreeView treeView3;
+    private System.Windows.Forms.TreeView treeView4;
+    private System.Windows.Forms.ListView listView4;
+  }
+}
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 794)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 794)
@@ -0,0 +1,67 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+namespace HeuristicLab.Hive.Server.Console {
+
+  public delegate void closeForm(bool cf);
+
+  public partial class HiveServerManagementConsole : Form {
+
+    public event closeForm closeFormEvent;
+
+    public HiveServerManagementConsole() {
+      InitializeComponent();
+    }
+
+    /// <summary>
+    /// Send event to Login-GUI when closing
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    private void close_Click(object sender, EventArgs e) {
+      if (closeFormEvent != null) {
+        closeFormEvent(true);
+      }
+      this.Close();
+    }
+
+    /// <summary>
+    /// Send evnt to Login-GUI when closing
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    private void HiveServerConsoleInformation_FormClosing(object sender, FormClosingEventArgs e) {
+      if (closeFormEvent != null) {
+        closeFormEvent(true);
+      }
+
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx	(revision 794)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx	(revision 794)
@@ -0,0 +1,123 @@
+<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <metadata name="menuStrip1.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>17, 17</value>
+  </metadata>
+</root>
